### Method

# Tracker SparqlCursor next

#### Declaration [src]

    gboolean
    tracker_sparql_cursor_next (
      TrackerSparqlCursor* cursor,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Iterates the cursor to the next result.

If the cursor was not started, it will point to the first result after this call. This operation is completely synchronous and it may block, see `tracker_sparql_cursor_next_async()` for an asynchronous variant.

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`FALSE` if there are no more results or if an error is found, otherwise `TRUE`.